Get PlayerID with Auth v4 IdP ID
Verify idp_user_id which is the response result of Web Login Verification V2 API and returns the PlayerID of this IdP ID. You can get the PlayerID after a user signs in with Web Login V2 API.
Note
Authentication v4 is composed of a distributed environment in response to network connection failure or other errors. If network connection have a timeout due to any error issues, call the distributed environment URL.
- Request Header
| ISCRYPT | Encrypted data, 0=Not encrypted | Integer | Y |
| Field Name | Description | Type | Required |
| appid | AppID of the logged-in game | String | Y |
| idp_user_id | Account Token (uid) received from IdP | String | Y |
| idp_index | idp_index - 1: HIVE
- 2: Facebook
- 3: GOOGLE
- 9: APPLE
| Integer | Y |
| hive_certification_key | Hive certification key (Hive console > App Center > Project Management > Game Details > Basic Information > Hive Certification Key) | String | Y |
- Request Body Example
{
"idp_user_id": "68101398",
"appid" : "com.com2us.hivesdk.normal.freefull.google.global.android.common",
"idp_index" : 1,
"hive_certification_key" : "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAyMDU2NzI2LCJqdGkiOiIxODczMTExMzIwIn0.3soFiHTPlObCoqR5xX9ZeOQTSvnHrHDHWmopP3QfWtY"
}
- Response Body
| result_code | verification result, 0: success, 4000: the parameter value is invalid | Integer |
| result_msg | the result message | String |
| data | the result data | JSON |
| Field Name | Description | Type |
| data.player_id | PlayerID | BigInteger |
| data.enc_idp | Encryption key for Request Body information | String |
| data.is_blocked | Whether the user is blocked | Boolean |
| data.is_refund | Whether the user is subject to refund recharging | Boolean |
| data.list | List of result data | Array |
| data.list.player_id | PlayerID corresponding to Request Body idp_user_id | BigInteger |
| data.list.idp_user_id | idp_user_id requested in Request Body | String |
| data.list.idp_index | idp_index requested in Request Body | String |
- Response Body Sample: Success
{
"result_code": 0,
"result_msg": "SUCCESS",
"data": {
"enc_idp": "K+A4xduO7kf5OrJ/iDPqL0PtMxwu7wW8JSBO+JJwSDDmJLvIi/6LG7TyWXdEHr9RNHM+/QXwc0+Y9z2eSRg7oeBBHmpOajzF1iiaacbFom4CsNy2fItendset7T0i0WYdyLQih3z5mDjcct47+gg2ovbp6kWRY8D+aGq+ZgaKiyr0Hmb1xmbWY/7cl1FjXTm0Nl9CWhO418bJFdwOpi+bw==",
"player_id": 20000016588,
"list": [
{
"player_id": 20000016588,
"idp_user_id": "68101398",
"idp_index": 1
},
{
"player_id": 20000016588,
"idp_user_id": "0",
"idp_index": 0
}
],
"is_blocked" : false,
"is_refund" : false
}
}
- Response Body Sample: Code 2002
{
"result_code": 2002,
"result_msg": "No User",
"data":{
"enc_idp": "K+A4xduO7kf5OrJ/iDPqLyCHfP+L3wz0WTNVw5KHLCqYjqQ+shQ2P3mkgwYCMvlnPatzlSE5ZFINr5gEIxK14sg0N8kOPSjSCeQ9UGGt11OMrYsGTuys0KmPJ2ZU/UWVVxpP1Lxx1eS8VbYwLmoTG+HTw2vkocghs/ZOZ9rqisdBRprhp6Q6+lIjpaUzDa2yy2guM1WheuVzKGL5331HHgo557RqoyUzTc6Lkf8ArWZ/XSwi3ZmStmhz/U4thcIwiowqgV+Ecdb2+WmMZ1MgGT4Xvbxa4lqzToBC3nxDvi1d8TjgMaszVYoNct94WPBGvV6emg3GqiJG+0ZTGg53+mZad9ttkUpTnQXetz5UDTxe5NnFAYfffzBq3jkqfAB042eH21rE3uTVJq3HuO8i9t1LJwKFfkC7sjjuaKNWsjs="
}
}